Summary:        MRG management web console
Name:           cumin
Version:        0.1.5796
Release:        6%{?dist}
License:        GPL
Group:          System Environment/Libraries
URL:            http://redhat.com/mrg
Source0:        %{name}-%{version}.tar.gz
Patch0:         BZ1044315.patch
Patch1:         BZ807986.patch
Patch2:         BZ1082724.patch
Patch3:         BZ1154049.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python >= 2.4
BuildRequires:  python-devel >= 2.4
Requires:       python >= 2.4
Requires:	postgresql >= 8.1.9
Requires:	postgresql-server >= 8.1.9
Requires:       python-wallaby
Requires:	python-suds >= 0.4.1
Requires:       python-ldap
%if 0%{?rhel} == 5
Requires:	python-qpid-qmf >= 0.10-11	 
Requires:	python-psycopg2 >= 2.0.14
%endif
%if 0%{?rhel} == 6
Requires:	python-qpid-qmf >= 0.12-6	 
Requires:	python-psycopg2 >= 2.0.13
%endif
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts

%if 0%{?rhel} == 5
%define _binary_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1
%endif


%description
Cumin is the MRG management web console.  By default it 
presents a management interface for MRG Grid. If the 
cumin-messaging package is also installed, Cumin will
present a management interface for MRG Messaging.

This package contains (part of) a Technology Preview for CuminReporting, integration with the condor-plumage component
for extended reporting.
Please visit http://www.redhat.com/support/policy/soc/production/preview_scope/ for details on the Red Hat support policies.

%global cumin_home %{_datadir}/cumin
%global cumin_doc %{_defaultdocdir}/cumin-%{version}
%global cumin_etc %{_sysconfdir}/cumin
%global cumin_d /cumin.conf.d
%global cumin_log %{_localstatedir}/log/cumin

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%install
rm -rf %{buildroot}

(cd cumin && make install CUMIN_HOME=%{buildroot}%{cumin_home} CUMIN_VERSION=%{name}-%{version}-%{release})

# Relocate stuff to linux system locations

install -d %{buildroot}%{_bindir}
install -pm 755 %{buildroot}%{cumin_home}/bin/cumin %{buildroot}%{_bindir}
install -pm 755 %{buildroot}%{cumin_home}/bin/cumin-web %{buildroot}%{_bindir}
install -pm 755 %{buildroot}%{cumin_home}/bin/cumin-data %{buildroot}%{_bindir}
install -pm 755 %{buildroot}%{cumin_home}/bin/cumin-report %{buildroot}%{_bindir}

# Put root-only programs in /usr/sbin
install -d %{buildroot}%{_sbindir}
install -pm 755 %{buildroot}%{cumin_home}/bin/cumin-admin %{buildroot}%{_sbindir}
install -pm 755 %{buildroot}%{cumin_home}/bin/cumin-database %{buildroot}%{_sbindir}
install -pm 755 %{buildroot}%{cumin_home}/bin/cumin-checkpid %{buildroot}%{_sbindir}
rm -rf %{buildroot}%{cumin_home}/bin

install -d %{buildroot}%{cumin_doc}
install -pm 644 %{buildroot}%{cumin_home}/doc/* %{buildroot}%{cumin_doc}
rm -rf %{buildroot}%{cumin_home}/doc

install -d %{buildroot}%{cumin_etc}
install -d %{buildroot}%{cumin_etc}%{cumin_d}
install -d %{buildroot}%{_sysconfdir}/rc.d/init.d
install -pm 644 %{buildroot}%{cumin_home}/etc/cumin.conf %{buildroot}%{cumin_etc}
install -pm 755 %{buildroot}%{cumin_home}/etc/sysvinit-cumin %{buildroot}%{_sysconfdir}/rc.d/init.d/cumin
rm -rf %{buildroot}%{cumin_home}/etc

install -d %{buildroot}%{cumin_log}
rm -rf %{buildroot}%{cumin_home}/log

%pre
# Create a cumin user

getent group cumin > /dev/null || groupadd -r cumin

getent passwd cumin > /dev/null || \
   useradd -r -g cumin -d %{cumin_home} -s /sbin/nologin \
      -c "Owner of cumin daemons" cumin

%post
if [ $1 -gt 1 ]; then
    # Upgrade config file if necessary

    if fgrep "[main]" %{cumin_etc}/cumin.conf > /dev/null; then
       mv %{cumin_etc}/cumin.conf %{cumin_etc}/cumin.conf.rpmsave
       mv %{cumin_etc}/cumin.conf.rpmnew %{cumin_etc}/cumin.conf
    fi
fi

if [ ! -h %{cumin_home}/log ]; then
    # Link to the system log location

    ln -s %{cumin_log} %{cumin_home}/log  
fi

hash -r

/sbin/chkconfig --add cumin

%preun
if [ $1 = 0 ]; then
    /sbin/service cumin stop >/dev/null 2>&1
    /sbin/chkconfig --del cumin
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/cumin
%{_bindir}/cumin-web
%{_bindir}/cumin-data
%{_bindir}/cumin-report
%{_sbindir}/cumin-admin
%{_sbindir}/cumin-database
%{_sbindir}/cumin-checkpid
%{cumin_home}
%{cumin_doc}
%attr(-,cumin,cumin) %{cumin_log}
%attr(600,cumin,cumin) %config(noreplace) %{cumin_etc}/cumin.conf
%{_sysconfdir}/rc.d/init.d/cumin
%attr(-,cumin,cumin) %{cumin_etc}%{cumin_d}

%changelog
* Thu Nov 20 2014 Mike Cressman <mcressman@redhat.com> - 0.1.5796-6
- BZ1154049 - also disable SSLv2

* Thu Oct 30 2014 Mike Cressman <mcressman@redhat.com> - 0.1.5796-5
- BZ1154049 - disable SSLv3

* Mon Jun 23 2014 Mike Cressman <mcressman@redhat.com> - 0.1.5796-4
- BZ807986 - unsupported characters (e.g. unicode) cause errors
- BZ1082724 - use the HttpOnly flag when generating a cookie

* Wed Apr 09 2014 Mike Cressman <mcressman@redhat.com> - 0.1.5796-2
- Sources drawn from statusquo
- Add a patch for BZ1044315

* Wed Jan 15 2014 Trevor McKay <tmckay@redhat.com> - 0.1.5796-1
- Sources drawn from statusquo
- BZ911503
- BZ959098
- BZ1020191

* Fri Dec 20 2013 Trevor McKay <tmckay@redhat.com> - 0.1.5792-1
- Sources drawn from statusquo
- Merge patches into source (all patches from 5786-2 thru 5787-4)

* Wed Dec 04 2013 Trevor McKay <tmckay@redhat.com> - 0.1.5787-4
- Sources drawn from statusquo
- Additional patch for BZ1015692 (BZ1015692_part2.patch)

* Tue Dec 03 2013 Trevor McKay <tmckay@redhat.com> - 0.1.5787-3
- Sources drawn from statusquo
- Modify the patch for:
- BZ1017425
- BZ1017427

* Fri Nov 22 2013 Trevor McKay <tmckay@redhat.com> - 0.1.5787-2
- Sources drawn from statusquo
- Add a unified patch for:
- BZ1017425
- BZ1017427

* Tue Nov 19 2013 Trevor McKay <tmckay@redhat.com> - 0.1.5787-1
- Sources drawn from statusquo
- Add a patch for
- BZ1022727
- Added a unified patch for the following:
- BZ1015692
- BZ1015694
- BZ1025227

* Fri Aug 23 2013 Trevor McKay <tmckay@redhat.com> - 0.1.5786-2
- Sources drawn from statusquo
- Added patch for BZ983134 (long_request.patch)

* Tue Jul 30 2013 Trevor McKay <tmckay@redhat.com> - 0.1.5786-1
- Sources drawn from statusquo
- BZ966548 (mod)
- Um, obviously the date immediately below should say "Mon"

* Wed Jul 29 2013 Trevor McKay <tmckay@redhat.com> - 0.1.5784-1
- Sources drawn from statusquo
- BZ964217
- BZ964237
- BZ966548
- BZ980366

* Wed Feb 6 2013 Trevor McKay <tmckay@redhat.com> - 0.1.5675-1
- Sources drawn from trunk
- Added BZ908051.patch
- BZ907866
- BZ908051

* Wed Jan 30 2013 Trevor McKay <tmckay@redhat.com> - 0.1.5668-1
- Sources drawn from trunk
- BZ848344 (mod)

* Fri Jan 18 2013 Trevor McKay <tmckay@redhat.com> - 0.1.5658-1
- Sources drawn from trunk
- BZ800065 (mod)

* Wed Jan 09 2013 Trevor McKay <tmckay@redhat.com> - 0.1.5648-1
- Sources drawn from trunk
- BZ768298 (mod)
- BZ891919
- BZ892971
- BZ893389
- BZ893396
- BZ893400

* Mon Jan 07 2013 Trevor McKay <tmckay@redhat.com> - 0.1.5644-1
- Sources drawn from trunk
- BZ886937

* Thu Dec 20 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5624-1
- Sources drawn from trunk
- BZ880675
- BZ881826
- BZ886921
- BZ886924
- BZ886937
- BZ886942
- BZ887167
- BZ887174

* Fri Dec 14 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5597-1
- Sources drawn from trunk
- BZ883784 (mod)
- BZ886590

* Mon Dec 10 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5572-1
- Sources drawn from trunk
- BZ850759 (mod)
- BZ873335
- BZ879314
- BZ883784
- BZ885729 

* Wed Dec 05 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5564-1
- Sources drawn from trunk
- BZ879257 (modified)

* Wed Dec 05 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5562-1
- Sources drawn from trunk
- BZ799129 (modified)
- BZ879330
- BZ879314
- BZ879257

* Sun Dec 02 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5557-1
- Sources drawn from trunk
- BZ880675
- BZ879263

* Sun Dec 02 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5554-1
- Sources drawn from trunk
- BZ872218

* Wed Nov 07 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5540-1
- Sources drawn from trunk
- Update script files for BZ846345 were mistakenly left out
- BZ842286 (modified)

* Wed Oct 31 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5526-2
- Sources drawn from trunk
- Rebuild against latest qpid

* Mon Oct 29 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5526-1
- Sources drawn from trunk
- Prevent ssl exceptions from restarting the web server
- BZ842286
- BZ871453

* Mon Oct 22 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5516-2
- Sources drawn from trunk
- Somewhere along the line, ? was removed from dist tag
- Note, BZ value for 5515-1 should be BZ800065 

* Fri Oct 19 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5516-1
- Sources drawn from trunk
- Use socket.fqdn() in Aviary endpoint tables/lookups
- BZ733516 (mod)

* Fri Oct 19 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5515-1
- Sources drawn from trunk
- Removed cumin-messaging subpackage noted in previous comment
- but left the creation of the cumin.conf.d directory
- BZ80065 (modified)
- BZ635207

* Thu Oct 11 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5506-1
- Sources drawn from trunk
- Spec file changed to build cumin-messaging subpackage which
- will install an optional cumin configuration file for the
- messaging persona
- 
- Note, the "Remove all patches" note in the previous changelog
- comment refers to removal of patches for security fixes.  These
- fixes were commited to trunk as code. To summarize, the complete
- set of security fixes (some previous listed) is:
- BZ830245
- BZ831203
- BZ831235
- BZ831244
- BZ830243
- BZ837037
- BZ840112
- BZ840121
- BZ840123
- BZ840133
- BZ846345
- 
- New BZs for this build:
- BZ800065 (modified)
- BZ839576
- BZ846010
- BZ846349
- BZ847940
- BZ850759

* Tue Oct 02 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5492-1
- Sources drawn from trunk
- Remove all patches
- BZ699487
- BZ703859
- BZ705358
- BZ752732
- BZ799129
- BZ800611
- BZ800624
- BZ809006
- BZ851205
- BZ848344
- BZ853454 

* Mon Jul 30 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5435-1
- Sources drawn from trunk
- Modify patch SqlComparison patch

* Wed Jul 25 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5429-6
- Sources drawn from trunk
- Modify patch (Redirector) for BZ831235

* Fri Jul 20 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5429-5
- Sources drawn from trunk
- Add a patch (ResponseSplitting) for BZ831244

* Fri Jul 20 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5429-4
- Sources drawn from trunk
- Add a patch (Redirector) for BZ831235

* Thu Jul 19 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5429-3
- Sources drawn from trunk
- Add a patch for BZ837037

* Wed Jul 18 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5429-2
- Sources drawn from trunk
- Modify session fixation patch to elimiante race condition
- Add patch for CSRF protection

* Thu Jul 12 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5429-1
- Sources drawn from trunk
- Remove the patch for below BZ and include in source
- BZ837047

* Mon Jul 02 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5425-1
- Sources drawn from trunk
- Add a patch for BZ837047

* Thu Jun 21 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5419-3
- Sources drawn from trunk
- Add a patch for session fixation

* Tue Jun 19 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5419-2
- Sources drawn from trunk
- Revision set to 2 because 0.1.5419-1 is a candidate build
- from another branch.  This will be a scratch build.
- Note, the original changelog note for the following BZ
- on April 12 2012 had a typo in the BZ number. 
- BZ769573 (mod)

* Fri Jun 15 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5415-1
- Sources drawn from trunk
- Add a patch for SqlComparisonFilter (BZ830245)
- Add a patch for secure cookies (BZ831203)
- Add a patch for xml_escape in PageError content (BZ830243)
- BZ830854
- BZ820681 back in
- BZ737979 (mod), remove unneeded "internal" keyword
- BZ827558

* Fri May 25 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5388-3
- Sources drawn from trunk
- Added dependency on python-ldap

* Tue May 22 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5388-2
- Sources drawn from trunk
- Add BZ820681_remove.patch to take BZ820681 out of the build
- Previous change log also missed this BZ:
- BZ760567

* Tue May 22 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5388-1
- Sources drawn from trunk
- Added cumin-checkpid to /usr/sbin (for BZ801287)
- BZ800065
- BZ801287
- BZ801291
- BZ807970
- BZ812407
- BZ820681
- BZ823506

* Wed May 09 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5368-1
- Sources drawn from trunk
- BZ737979 (mod)

* Wed May 02 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5357-1
- Sources drawn from trunk
- BZ737979 (mod)
- BZ768298 (mod)
- BZ802698 

* Mon Apr 23 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5343-1
- Sources drawn from trunk
- Fixed error in expiration thread introduced during development

* Mon Apr 23 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5342-1
- Sources drawn from trunk
- BZ815316

* Fri Apr 20 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5338-1
- Sources drawn from trunk
- Removed Tech Preview note for CuminAviary, added CuminReporting.  
- Removed deps for dejavu-lgc-fonts, liberation-sans-font, pycairo.
- BZ733516
- BZ737979 (mod)
- BZ807838 
- BZ814386 (remove CuminAviary from tech preview)

* Thu Apr 12 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5297-1
- Sources drawn from trunk
- BZ438142 (mod)
- BZ765894
- BZ768298
- BZ769753
- BZ802704
- BZ805029
- BZ807912
- BZ809369

* Fri Mar 16 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5251-1
- Sources drawn from trunk

(BZs with a * have been noted below in the change history but
are restated here so we have a summary list of BZs since 
0.1.5192 which will have the fixed in version set)

- BZ438142
- BZ737979
- BZ750196
- BZ756384
- BZ767232 *
- BZ772105
- BZ782359
- BZ782839
- BZ783139
- BZ785551 *
- BZ785863
- BZ787138
- BZ789351 *
- BZ796798
- BZ799382
- BZ799404
- BZ801047

* Fri Mar 2 2012 Chad Roberts <croberts@redhat.com> - 0.1.5234-1
- Sources drawn from trunk
- Additional possible fix for BZ785551 (selenium testing)

* Fri Mar 2 2012 Chad Roberts <croberts@redhat.com> - 0.1.5233-1
- Sources drawn from trunk
- BZ785551 selenium testing fix

* Tue Feb 14 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5217-1
- Sources draw from trunk
- Move cumin-admin and cumin-database to /usr/sbin
- Change dependency to python-qpid-qmf from qpid-qmf
- BZ767232

* Fri Feb 10 2012 Chad Roberts <croberts@redhat.com> - 0.1.5216-2
- adding more files to the files definitions

* Fri Feb 10 2012 Chad Roberts <croberts@redhat.com> - 0.1.5216-1
- Sources drawn from trunk
- BZ 789351, cumin charts are now done via jqplot
- Removing dependency on pycairo and fonts packages

* Fri Feb 10 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5207-2
- Remove test programs from the install.
- Part of BZ767232

* Wed Feb 8 2012 Chad Roberts <croberts@redhat.com> - 0.1.5207-1
- sources drawn from noflash branch
- removed dependency on pycairo library
- spec file change to allow builds from newer fedor (16+) to work for el5

* Mon Feb 6 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5192-2
- Bring spec file in line with current trunk
- Remove installation of cumin.crt and cumin.key files, these
- are no longer bundled with the cumin install
- Restrict files from cumin/etc to cumin.conf to avoid the
- cumin.service file added for systemd under Fedora.

* Tue Jan 24 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5192-1
- Sources drawn from branch stability
- BZ782902
- BZ782485

* Mon Jan 9 2012 Trevor McKay <tmckay@redhat.com> - 0.1.5184-1
- Sources drawn from branch stability
- BZ771642

* Fri Dec 16 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5180-1
- Sources drawn from branch stability
- BZ765713
- BZ765846

* Fri Dec 9 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5174-1
- Sources drawn from branch stability
- BZ748735
- BZ751779
- BZ739658

* Thu Dec 8 2011 Chad Roberts <croberts@redhat.com> - 0.1.5166-1
- Sources drawn from noflash branch
- Many fixes for the new charts, related to the tooltips displayed when you mouse over them.

* Fri Dec 2 2011 Chad Roberts <croberts@redhat.com> - 0.1.5159-1
- Sources drawn from noflash branch
- Updated version of jqplot library
- Several bug fixes, enhancements for the jqplot charts

* Tue Nov 28 2011 Chad Roberts <croberts@redhat.com> - 0.1.5152-1
- Sources drawn from noflash branch
- Many bugs related to the jqplot charts are fixed (with respect toupdates and zooming) 

* Tue Nov 22 2011 Chad Roberts <croberts@redhat.com> - 0.1.5146-1
- Sources drawn from noflash branch
- This build was done to fix a problem with the Makefile that was causing previous build to fail.

* Tue Nov 22 2011 Chad Roberts <croberts@redhat.com> - 0.1.5144-1
- Sources drawn from noflash branch
- This build is essentially the MRG 2.0.1 release + changes to use jqplot-based charts rather than openflashchart graphs.

* Thu Nov 10 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5098-2
- Removed dependency on python-qmf
- Added dependency on qpid-qmf >= 0.10-11 for RHEL 5
- Added dependency on qpid-qmf >= 0.12-6 for RHEL 6
- Added dependency on python-suds >= 0.4.1

* Tue Oct 25 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5098-1
- Update to revision 5098
- Sources drawn from branch 'lucidity'
- Minor changes to files that are part of the CuminAviary Tech
-  Preview feature.  This is primarily to include license 
-  statements for outside contributions.
- BZ733365
- BZ748497

* Wed Oct 12 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5068-1
- Update to revision 5068
- Sources drawn from branch 'lucidity'
- Change el6 dependency on dejavu-lgc-sans-fonts to 
- liberation-sans-fonts, avoids optional channel
- various tweaks to Aviary ssl code from testing
- BZ744793

* Fri Oct 7 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5054-1
- Update to revision 5054
- Sources drawn from branch 'lucidity'
- Add rpm dependency on python-wallaby
- Fix import of wallaby modules in wallabyoperations.py
- Allow Cumin to disable Aviary and continue if Aviary imports fail
- (this is particularly related to python-suds, not yet a dependency)
- BZ744023

* Wed Oct 5 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5047-1
- Update to revision 5047
- Sources drawn from branch 'lucidity'
- Modify description to include Tecnology Preview notice for CuminAviary
- Include AVIARY-README in /usr/share/doc/cumin-*
- BZ733447 (Tech Preview, modifications)
- BZ733677 (Tech Preview, modifications)
- BZ725451

* Mon Oct 3 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5037-1
- Update to revision 5037
- Sources drawn from branch 'lucidity'
- update aviary-common.xsd (no BZ)
- BZ742786

* Fri Sep 30 2011 Trevor McKay <tmckay@redhat.com> - 0.1.5033-1
- Update to revision 5033
- Sources drawn from branch 'lucidity'
- BZ741783
- BZ741729
- BZ739658 (partial)
- BZ739217
- BZ733677 (Tech Preview)
- BZ733447 (Tech Preview, partial))
- BZ733367
- BZ733365
- BZ733364
- BZ731423
- BZ731065
- BZ725473
- BZ725038
- BZ723848
- BZ639383

* Wed Aug 10 2011 Chad Roberts <croberts@redhat.com> - 0.1.4916-1
- Update to revision 4916
- Sources drawn from branch 'clarity'
- BZ728960, additional fix for cumin-data


* Tue Aug 9 2011 Chad Roberts <croberts@redhat.com> - 0.1.4913-1
- Update to revision 4913
- Sources drawn from branch 'clarity'
- BZ728960

* Wed Jul 27 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4893-1
- Update to revision 4893
- Sources drawn from branch 'clarity'
- BZ699273

* Fri Jul 22 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4887-1
- Update to revision 4887
- Sources drawn from branch 'clarity'
- BZ724946
- BZ709477

* Wed Jul 20 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4878-1
- Update to revision 4878
- Sources drawn from branch 'clarity'
- Back out automatic quoting functionality for BZ703196
- BZ723613

* Tue Jul 5 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4865-1
- Update to revision 4865
- Sources drawn from branch 'clarity'
- Back out changes for BZ699890 (deferred)

* Tue Jul 5 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4863-1
- Update to revision 4863
- Sources drawn from branch 'clarity'
- BZ703621
- BZ715956
- BZ715973
- BZ703630
- BZ699732
- BZ707576
- BZ717953

* Fri Jun 17 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4840-1
- Update to revision 4840
- Sources drawn from branch 'clarity'
- BZ699265 
- BZ697093
- BZ698106
- BZ694827
- BZ697016
- BZ703196
- BZ674598 
- BZ699409
- BZ703630
- BZ703285
- BZ696697
- BZ697075
- BZ673273
- BZ692238
- BZ699732
- BZ700540
- BZ703279
- BZ703860
- BZ659247
- BZ704653
- BZ682447
- BZ703283
- BZ709477
- BZ697016
- BZ707584
- BZ710283
- BZ637963
- BZ699413
- BZ702440
- BZ712968
- BZ712974
- BZ699890

* Tue May 31 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4794-1
- Update to revision 4794
- Sources drawn from branch 'stability'
- BZ708495, new cumin.conf file to distribute grid classes correctly

* Wed May 17 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4767-1
- Update to revision 4767
- Sources drawn from branch 'stability'
- BZ705289

* Mon May 16 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4765-1
- Update to revision 4765
- Sources drawn from branch 'stability'
- BZ704253
- BZ704246

* Wed Apr 27 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4746-1
- Update to revision 4746
- BZ696789
- BZ699481
- BZ699473
- BZ699819
- BZ699782
- BZ699818 

* Mon Apr 25 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4734-1
- Update to revision 4734
- Sources drawn from trunk
- BZ696635 mods
- BZ695820
- BZ698712

* Tue Apr 19 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4725-1
- Update to revision 4725
- Sources drawn from trunk
- BZ696619
- BZ696693
- BZ695800
- BZ696635

* Thu Apr 14 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4712-2
- Change conditional requirements, preface os version with 0

* Wed Apr 13 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4712-1
- Update to revision 4712
- Sources drawn from trunk
- BZ695722
- BZ694883 modification
- BZ679688

* Mon Apr 11 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4702-1
- Update to revision 4702
- Sources drawn from trunk
- BZ677398
- BZ694883

* Thu Apr 7 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4695-1
- Update to revision 4695
- Add conditional dependencies on el5 and el6 for
-   python-psycopg2
-   dejavu-lgc font packages
- Sources drawn from trunk
- BZ692169 modification
- Various cosmetic changes based on group UI review

* Mon Mar 30 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4683-1
- Update to revision 4683
- Sources drawn from trunk
- BZ692653

* Wed Mar 30 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4675-1
- Update to revision 4675
- Sources drawn from trunk
- BZ692169

* Tue Mar 29 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4672-1
- Update to revision 4672
- Sources drawn from trunk
- BZ681124
- BZ641406

* Sun Mar 27 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4669-1
- Update to revision 4669
- Sources drawn from trunk
- BZ690283
- BZ690740
- BZ681124
- Various cosmetic changes based on group UI review

* Mon Mar 21 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4654-1
- Update to revision 4654
- Sources drawn from trunk
- BZ635197
- BZ679672
- BZ678029
- Various cosmetic changes based on group UI review
- (many changes to the dashboard components)

* Mon Mar 14 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4610-1
- Update to revision 4610
- Sources drawn from trunk
- BZ647500
- Various cosmetic changes based on group UI review
- (check svn logs 4601-4610 for detail)

* Thu Mar 10 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4600-1
- Update to revision 4600
- Sources drawn from trunk
- Incremental development changes, no BZs

* Tue Mar 8 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4589-1
- Update to revision 4589
- Sources drawn from trunk
- BZ680890
- BZ673189 (modifications)
- BZ673194

* Thu Mar 3 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4573-1
- Update to revision 4573
- Sources drawn from trunk
- BZ680265 (modifications)
- BZ672583 (modifications)

* Sun Feb 27 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4560-1
- Update to revision 4560
- Sources drawn from trunk
- BZ680260

* Thu Feb 24 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4558-1
- Update to revision 4558
- Sources drawn from trunk
- BZ680265

* Wed Feb 23 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4554-1
- Update to revision 4554
- Sources drawn from trunk
- Replace emulation of defaultdict() for Python 2.4
- BZ634975

* Tue Feb 22 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4552-1
- Update to revision 4552
- BZ678621
- Changes to code for BZ677398 
-   Get rid of exception on RHEL 5 in 0.1.4546-1
-   Include comments with defaults for rollover params in cumin.conf
- Tweak to BZ672583 
-   Do not redirect stderr from init.d during --init-only checks on start

* Mon Feb 21 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4546-1
- Update to revision 4546
- Sources drawn from trunk
- BZ677398 BZ647500 BZ673189
- Additional changes for BZ672583

* Fri Feb 18 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4539-1
- Update to revision 4539
- Sources drawn from trunk
- BZ672583

* Tue Feb 15 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4532-1
- Update to revision 4532
- Sources drawn from trunk
- Adjustment to make install for version file creation from rpm
- BZ630544

* Tue Feb 15 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4531-1
- Update to revision 4531
- Sources drawn from trunk
- Change to spec file to create cumin version on make install
- BZ630544, BZ672484, BZ673178, BZ673180

* Fri Feb 11 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4519-2
- Include new files in /bin (cumin-command-test, cumin-data-test, cumin-web-test)
- Change to spec file.
- These files were added in revision 4460.

* Fri Feb 11 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4519-1
- Update to revision 4519.
- Sources drawn from cumin/trunk
- Changes for 2.0
- BZ644302, BZ676902, BZ642405, BZ673183, BZ673187

* Thu Jan 27 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4494-1
- Update to revision 4494.
- Sources drawn from cumin/branches/1.3.2
- Changes for BZ673165

* Thu Jan 27 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4492-1
- Update to revision 4492.
- Sources drawn from cumin/branches/1.3.2
- Changes for BZ673141

* Wed Jan 26 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4490-1
- Update to revision 4490.
- Sources drawn from cumin/branches/1.3.2
- After test, second round of changes for BZ672604

* Wed Jan 26 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4488-1
- Update to revision 4488.
- Sources drawn from cumin/branches/1.3.2
- Changes for BZ672604

* Fri Jan 21 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4478-1
- Update to revision 4478.
- Sources drawn from cumin/branches/1.3.2

* Tue Jan 18 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4475-1
- Update to revision 4475.  Cumin configuration changes.
- Sources drawn from cumin/branches/1.3.2

* Mon Jan 17 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4473-1
- Update to revision 4473
- Sources drawn from cumin/branches/1.3.2

* Thu Jan 13 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4465-1
- Update to revision 4465
- Sources drawn from cumin/branches/1.3.2

* Wed Jan 12 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4462-1
- Update to revision 4462
- Sources drawn from cumin/branches/1.3.2

* Thu Jan  6 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4451-1
- Update to revision 4451

* Tue Jan  4 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4448-1
- Update to revision 4448

* Tue Jan  4 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4447-1
- Update to revision 4447

* Mon Jan  3 2011 Trevor McKay <tmckay@redhat.com> - 0.1.4446-1
- Intermediate version on the way to 1.3.2 packages, test bug fixes

* Thu Nov  4 2010 Justin Ross <jross@redhat.com> - 0.1.4410-2
- Update to revision 4110
- Tighten permissions on config files

* Fri Oct  1 2010 Justin Ross <jross@redhat.com> - 0.1.4369-1
- Update to revision 4369
- Require python-psycopg2 >= 2.0.14
- Upgrade the config file if necessary
- Add symlink to system log location
- Add chkconfig and service handling
- Get precise about the python-qmf dependency version
- Fix symlink error in post scriptlet

* Mon Jul 19 2010 Justin Ross <jross@redhat.com> - 0.1.4127-1
- Update to revision 4127
- Tighten qmf dependency

* Thu Jul  8 2010 Justin Ross <jross@redhat.com> - 0.1.4094-1
- Update to revision 4094

* Wed Jun  3 2009 Nuno Santos <nsantos@redhat.com> - 0.1.3413-1
- Update to revision 3413

* Tue Mar 17 2009 Justin Ross <jross@redhat.com> - 0.1.3160-1
- Mark config files noreplace
- Update to revision 3160

* Tue Feb 24 2009 Nuno Santos <nsantos@redhat.com> - 0.1.3137-1
- Update to revision 3137; include vacuumdb cronjob

* Fri Feb 20 2009 Justin Ross <jross@redhat.com> - 0.1.3120-2
- Mark config files as such

* Mon Feb 16 2009 Ernie Allen <eallen@redhat.com> - 0.1.3120-1
- Update to revision 3120

* Mon Feb 16 2009 Ernie Allen <eallen@redhat.com> - 0.1.3113-1
- Update to revision 3113

* Thu Feb  5 2009 Justin Ross <jross@redhat.com> - 0.1.3109-1
- Update to revision 3109

* Tue Jan 27 2009 Justin Ross <jross@redhat.com> - 0.1.3073-1
- Update to revision 3073

* Fri Jan 21 2009 Justin Ross <jross@redhat.com> - 0.1.3037-2
- Add patch for broken job navigation

* Fri Jan  9 2009 Justin Ross <jross@redhat.com> - 0.1.3037-1
- Update to revision 3037

* Sun Dec 21 2008 Justin Ross <jross@redhat.com> - 0.1.3030-1
- Update to revision 3030

* Wed Dec 17 2008 Justin Ross <jross@redhat.com> - 0.1.3021-1
- In the post script, chown cumin log files so upgrades don't break
- Update to revision 3021

* Mon Dec 15 2008 Justin Ross <jross@redhat.com> - 0.1.3002-1
- Update to revision 3002

* Fri Dec 12 2008 Justin Ross <jross@redhat.com> - 0.1.2997-1
- Update to revision 2997

* Thu Dec 11 2008 Justin Ross <jross@redhat.com> - 0.1.2986-1
- Add missing dependency on pycairo
- Update to revision 2986

* Wed Dec 10 2008 Justin Ross <jross@redhat.com> - 0.1.2968-1
- Update to revision 2968
- Alter the user and group add logic to be compatible with scriptlets
  run under bash -e

* Wed Dec  9 2008 Justin Ross <jross@redhat.com> - 0.1.2952-1
- Update to revision 2952
- Add wooly to the set of installed projects

* Wed Nov  5 2008 Justin Ross <jross@redhat.com> - 0.1.2751-1
- Fix the usermod for older installs, and update to revision 2751

* Fri Oct 24 2008 Justin Ross <jross@redhat.com> - 0.1.2690-1
- Add a dep for dejavu-lgc-fonts, required for the charts

* Mon Jul 14 2008 Justin Ross <jross@redhat.com> - 0.1.2181-2
- Modify an existing cumin user's shell to /sbin/nologin

* Mon Jul  8 2008 Justin Ross <jross@redhat.com> - 0.1.2181-1
- Update to revision 2181
- Use /sbin/nologin for the cumin user's shell

* Mon Jun 16 2008 Justin Ross <jross@redhat.com> - 0.1.2155-1
- Update to revision 2155

* Fri Jun 10 2008 Justin Ross <jross@redhat.com> - 0.1.2149-1
- Update to revision 2149

* Fri Jun  9 2008 Justin Ross <jross@redhat.com> - 0.1.2144-1
- Update to revision 2144

* Fri Jun  6 2008 Justin Ross <jross@redhat.com> - 0.1.2141-1
- Update to revision 2141 for rc1
- Fix the license in the spec header

* Fri May 16 2008 Justin Ross <jross@redhat.com> - 0.1.2061-1
- Update to revision 2061 for beta 4

* Fri May 15 2008 Justin Ross <jross@redhat.com> - 0.1.2046-1
- Update to revision 2046 for beta 4

* Fri May 06 2008 Justin Ross <jross@redhat.com> - 0.1.2001-1
- Make cumin user owner of all binaries except sysvinit script

* Fri Apr 25 2008 Justin Ross <jross@redhat.com> - 0.1.1984-2
- Properly set permissions and ownership of the sysvinit script

* Fri Apr 25 2008 Justin Ross <jross@redhat.com> - 0.1.1984-1
- Use new make targets
- Change the version number to include the upstream svn revision
- Use system instance setup tools

* Mon Mar 31 2008 Nuno Santos <nsantos@redhat.com> - 0.1-6
- Create cumin user/group

* Mon Feb 11 2008 Nuno Santos <nsantos@redhat.com> - 0.1-5
- Fix for multiple broker registrations

* Mon Feb 11 2008 Rafael Schloming <rafaels@redhat.com> - 0.1-4
- Bumped for Beta 3 update

* Fri Jan 25 2008 Nuno Santos <nsantos@redhat.com> - 0.1-3
- Workaround to fix charts issue

* Thu Jan 24 2008 Nuno Santos <nsantos@redhat.com> - 0.1-2
- Fix data url in /etc/cumin.conf; work around query divide-by-zero issues
- Add dependency on postgresql-server

* Fri Jan 18 2008 Nuno Santos <nsantos@redhat.com> - 0.1-1
- Initial build.
